Bug 235550 - Review Request: mysql-gui-tools - Graphical Tools for mysql
Review Request: mysql-gui-tools - Graphical Tools for mysql
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-07 00:36 EDT by Dennis Gilmore
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 16:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2007-04-07 00:36:31 EDT
Spec URL: http://ausil.us/packages/mysql-gui-tools.spec
SRPM URL: http://ausil.us/packages/mysql-gui-tools-5.0-1.fc7.r11.src.rpm
Description: 
MySQL Administrator enables developers and DBAs to easily perform
all the command line operations visually including configuring servers,
administering users, and dynamically monitoring database health. Other
common administrative tasks such as monitoring replication status,
backup and restore, and viewing logs can also be performed through the
MySQL Administrator graphical console.


This package replaces my existing mysql-administrator and mysql-query-browser packages
Comment 1 Kevin Fenzi 2007-04-07 12:32:28 EDT
I would be happy to review this package. 

The versioning here is odd. Is "r11" a post release update? A pre-release for
the next version, or just the standard way they increment releases?

Perhaps that should be 5.0r11-1.%{?dist} ?
Comment 2 Dennis Gilmore 2007-04-07 13:31:04 EDT
the versioning im really not sure of.  MySQL started it with the pre-releases 
then continued it after saying the the 5.0 series is stable.   
Comment 3 Kevin Fenzi 2007-04-07 15:54:13 EDT
See below - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
063fda21a80f1b1a3e96231433b3f24b  mysql-gui-tools-5.0r11.tar.gz
063fda21a80f1b1a3e96231433b3f24b  mysql-gui-tools-5.0r11.tar.gz.1
See below - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

See below - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
OK - No rpmlint output.
See below - final provides and requires are sane.

SHOULD Items:

See below - Should build in mock.
OK - Should build on all supported archs
See below - Should have subpackages require base package with fully versioned
depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Should address the naming (as mentioned above). I think 5.0r11-1.%{dist} might be
correct here. Is the next version likely 5.0r12? or ?

2. There are some packages that are included here within the source. Should try
and use the existing packages for them instead of using the bundled versions?

in mysql-query-browser there is a full copy of gtksourceview
(which is already available in fedora).

in mysql-gui-common/library/generic-runtime/ there is a full copy of 'newt'
(which is already available in fedora).

3. The Source url doesn't seem to work here. Looks like you might need to
pick one of the mirrors, ie:
http://dev.mysql.com/get/Downloads/MySQLGUITools/mysql-gui-tools-5.0r11.tar.gz/from/http://mysql.orst.edu/

4. Does there need to be a dependency on mysql? Or could this be installed/run
on a client machine with no mysql installed to talk to a server on another machine?
I guess it's linked to the client at least.

5. Will the java support work with the gcj setup in fedora?
If so, might be worth enabling.

6. Didn't build under mock here, I had to add:
BuildRequires: libgnomeprint22-devel
This looks to be in the gtksourceview build, so if thats removed it might not
be needed.

7. Do the other packages need anything from the -common package? Currently there are
no subpackage dependencies at all (ie, any of them could be installed alone) is
that correct? I would think the others would need to depend on -common at least
for directory ownership issues.
Comment 4 Dennis Gilmore 2007-04-09 08:22:32 EDT
ive renamed mysql is confusing here and it seems they use the rxx to increment 
releases.

mysql use a modified gtksourceview and it wont build against whats in Fedora .  
newt is not used. there are some additional tools that use them  but my 
efforts to port them to use lua 5.1 allowed things to build but fail horribly 
at runtime.  my calls for help have fallen on deaf ears so for now im only 
packaging what works.  this newer version fixes many bugs in the current 
releases.

I cant point the sourceurl at one of the mirrors  or the package fails 
horribly not knowing what the source package is 

java is used in mysql-migration-tool  but it also requires lua. mysql has also 
said that they wont support the current alpha release of mysql-workbench.  
they are re-writing it to use cairo instead of lua.  Theses additional tools 
will be added latter as they work. i did enable java  and it builds in mock on 
fc6 and f7

these tools can be run remotely  and access 

SRPM: http://ausil.us/packages/mysql-gui-tools-5.0r11-2.al3.src.rpm
SPEC: http://ausil.us/packages/mysql-gui-tools.spec

Comment 5 Kevin Fenzi 2007-04-10 00:00:05 EDT
1. ok. 

2. ok, but you now have "gtksourceview-devel, newt-devel" in BuildRequires. 
If it's using the internal one, those should be removed?

3. ok. ANoying that they seem to have an even more borken mirror system than
sourceforge does. ;( 

4. It looks like your comment was cut off there... do you need the "Requires:
mysql >= 4.0" ?

5. ok. Glad that it works, although if they don't want to support it, 
perhaps it shouldn't be enabled? Up to you I guess. 

6. ok.

7. ok. Looks good on the other packages depending on the -common package now. 
Comment 6 Dennis Gilmore 2007-04-10 08:02:30 EDT
SRPM: http://ausil.us/packages/mysql-gui-tools-5.0r11-3.src.rpm
SPEC: http://ausil.us/packages/mysql-gui-tools.spec

2. removed the unused BR's
4. its extra as mysql-administrator and mysql-query-browser both link to 
mysql.

5.  when i can get the java bits working i will enable the extra sub packages
Comment 7 Kevin Fenzi 2007-04-10 15:16:05 EDT
ok. I don't see any further blockers here... this package is APPROVED. 

Don't forget to close this review request once the package has been imported and
built. 
Comment 8 Dennis Gilmore 2007-04-10 15:44:00 EDT
New Package CVS Request
=======================
Package Name: mysql-gui-tools
Short Description: GUI tools to manage mysql Databases
Owners: dennis@ausil.us
Branches: FC-5 FC-6
InitialCC: 
Comment 9 Dennis Gilmore 2007-04-10 16:12:32 EDT
builds requested thanks for the review

Note You need to log in before you can comment on or make changes to this bug.